## mce-dev 1.8.19+0m5

=== Makefile ===
# This file is part of mce-dev
#
# Copyright © 2005-2007 Nokia Corporation.
#
# Author: David Weinehall <david.weinehall@nokia.com>

INSTALL_DIR := install -d
INSTALL_DATA := install -o root -g root --mode=644

DOXYGEN := doxygen

PCDIR := $(DESTDIR)/usr/lib/pkgconfig
INCLUDEDIR := $(DESTDIR)/usr/include/mce

TOPDIR := $(shell /bin/pwd)
INCDIR := $(TOPDIR)/include/mce
DOCDIR := $(TOPDIR)/doc

PCFILE  := mce.pc
INCLUDE_FILES := $(INCDIR)/dbus-names.h $(INCDIR)/mode-names.h

.PHONY: doc
doc:
	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null

clean:
	@if [ x"$(DOCDIR)" != x"" ]; then	\
		rm -rf $(DOCDIR)/*;		\
	fi

.PHONY: install
install: doc
	$(INSTALL_DIR) $(PCDIR) $(INCLUDEDIR)				&&\
	$(INSTALL_DATA) $(PCFILE) $(PCDIR)				&&\
	$(INSTALL_DATA) $(INCLUDE_FILES) $(INCLUDEDIR)

.PHONY: distclean
distclean: clean

## mce-dev 1.5.6

=== debian/changelog ===
mce-dev (1.5.6) unstable; urgency=low

  * Add display status interface

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 23 Nov 2006 12:10:56 +0200

mce-dev (1.5.5) unstable; urgency=low

  * Add license text

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 20 Oct 2006 15:17:01 +0300

mce-dev (1.5.4) unstable; urgency=low

  * New signal: thermal_shutdown_ind, that indicates that the system
    is about to shut down due to thermal constraints

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 22 Aug 2006 14:04:47 +0300

mce-dev (1.5.3) unstable; urgency=low

  * Added new DBus method call for triggering powerkey events
    (req_trigger_powerkey_event)
  * Fix typos in header-file comments; no code changes

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Jul 2006 10:09:16 +0300

mce-dev (1.5.2) unstable; urgency=low

  * Add get_inactivity_status

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 14 Jun 2006 14:40:45 +0300

mce-dev (1.5.1) unstable; urgency=low

  * Update legal information
  * Bump MCE version in doxygen information

 -- David Weinehall <david.weinehall@nokia.com>  Thu,  1 Jun 2006 16:10:12 +0300

mce-dev (1.5.0) unstable; urgency=low

  * Add interface for changing the device lock code
  * Add LED related DBus defines

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 31 May 2006 09:33:00 +0300

mce-dev (1.4.3) unstable; urgency=low

  * Move the build dependency on doxygen from Build-Depends
    to Build-Depends-Indep

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 25 Apr 2006 13:25:27 +0300

mce-dev (1.4.2) unstable; urgency=low

  * Add a few more flags when locking the tklock

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 11 Apr 2006 15:23:33 +0300

mce-dev (1.4.1) unstable; urgency=low

  * Added Doxygen documentation
  * Include documentation in package

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 14 Mar 2006 17:52:09 +0200

mce-dev (1.4.0) unstable; urgency=low

  * Introduce new API's for functionality introduced by mce-1.4.x

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  1 Feb 2006 13:09:56 +0200

mce-dev (1.2.1) unstable; urgency=low

  * Add comments to all defines, describing parameters and return values

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Nov 2005 16:55:41 +0200

mce-dev (1.2.0) unstable; urgency=low

  * Initial Release
  * Split mce-dev into separate package, to remove circular build-depends

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 31 Oct 2005 16:31:00 +0200

=== debian/control ===
Source: mce-dev
Section: devel
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.6.2.1

Package: mce-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}
Description: development files for mce
 This package contains headers defining the DBus method calls
 provided by the Mode Control Entity, and the signals emitted by it.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mce-dev using debhelper.
# Copyright (C) 2004-2006 Nokia.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = mce-dev
pkgdir = $(CURDIR)/debian/tmp

pcfileversion=`grep -m1 '^Version' mce.pc | sed -e 's/Version: *//'`
changelogversion=`grep -m1 'mce-dev (' debian/changelog | sed -e 's/mce-dev (//;s/[)-].*//'`

.PHONY: clean
clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

.PHONY: check
check:
	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
		printf "error: version-number mismatch\n"; \
		printf "changelog version: $(changelogversion)\n"; \
		exit 1; \
	fi

.PHONY: build
build: check

.PHONY: install
install:
	$(MAKE) install DESTDIR="$(pkgdir)"

.PHONY: binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install -i
	dh_link
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary-arch
binary-arch: build install
# nothing to see here, move along

.PHONY: binary
binary: binary-indep binary-arch

## mce-dev 1.6.3

=== debian/changelog ===
mce-dev (1.6.3) unstable; urgency=low

  * Make the version# check a tiny bit smarter
  * Added MCE_TK_SILENT_UNLOCKED

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 23 Jul 2007 16:40:12 +0300

mce-dev (1.6.2) unstable; urgency=low

  * Added method calls to request display dimming and blanking
  * Modified debian/rules not to ignore make clean errors

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 29 Jun 2007 20:00:54 +0300

mce-dev (1.6.1) unstable; urgency=low

  * Disable graph related doxygen options, since we're not using any
    graphs in mce-dev anyway

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 27 Mar 2007 17:59:18 +0300

mce-dev (1.6.0) unstable; urgency=low

  * Bump Standards-Version

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 13 Mar 2007 17:07:47 +0200

=== debian/control ===
Source: mce-dev
Section: devel
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.7.2

Package: mce-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}
Description: development files for mce
 This package contains headers defining the D-Bus method calls
 provided by the Mode Control Entity, and the signals emitted by it.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules for mce-dev using debhelper.
-# Copyright (C) 2004-2006 Nokia.
+# Copyright © 2004-2007 Nokia.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -11,8 +11,8 @@
 package = mce-dev
 pkgdir = $(CURDIR)/debian/tmp
 
-pcfileversion=`grep -m1 '^Version' mce.pc | sed -e 's/Version: *//'`
-changelogversion=`grep -m1 'mce-dev (' debian/changelog | sed -e 's/mce-dev (//;s/[)-].*//'`
+pcfileversion=$$(grep -m1 '^Version' mce.pc | sed -e 's/Version: *//')
+changelogversion := $$(grep -m1 'mce-dev (' debian/changelog | sed -e 's/mce-dev (//;s/.*:\(.*\))/\1/;s/[)-+].*//')
 
 .PHONY: clean
 clean:
@@ -20,9 +20,9 @@
 	dh_testroot
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	$(MAKE) distclean
 
-	dh_clean 
+	dh_clean
 
 .PHONY: check
 check:
@@ -47,7 +47,7 @@
 	dh_installchangelogs
 	dh_install -i
 	dh_link
-	dh_compress 
+	dh_compress
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol

## mce-dev 1.8.15+0m5

=== debian/changelog ===
mce-dev (1.8.15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Mon, 21 Sep 2009 14:50:27 +0300

mce-dev (1.8.15) unstable; urgency=low

  * Added orientation information to reply message for accelerometer enable requests
    Fixes: NB#138981

 -- Pekka Lundström <pekka.lundstrom@nokia.com>  Fri, 18 Sep 2009 12:45:46 +0300

mce-dev (1.8.14) unstable; urgency=low

  * Added accelerometer enable/disable requests
    Fixes: NB#138981

 -- Pekka Lundström <pekka.lundstrom@nokia.com>  Mon, 14 Sep 2009 10:50:11 +0300

mce-dev (1.8.12) unstable; urgency=low

  * Remove dh_testroot from the build target in debian/rules,
    to fix FTBFS

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 01 Jul 2009 09:16:41 +0300

mce-dev (1.8.11) unstable; urgency=low

  * Added a documentation package (mce-doc) (Fixes: NB#122439)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 15 Jun 2009 12:42:40 +0300

mce-dev (1.8.10) unstable; urgency=low

  * Modified build-time version check to allow for binary NMU's

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 13 Mar 2009 06:11:04 +0200

mce-dev (1.8.9) unstable; urgency=low

  * Added "ringing" call state

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 24 Feb 2009 17:15:32 +0200

mce-dev (1.8.8) unstable; urgency=low

  * Added suffix to display the mode confirmation dialog

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 29 Jan 2009 00:00:39 +0200

mce-dev (1.8.7) unstable; urgency=low

  * Add some backwards compatibility for the call states

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 27 Jan 2009 17:26:44 +0200

mce-dev (1.8.6) unstable; urgency=low

  * The "Breaking ABI/API compatibility is great fun" release
  * Replace "cellular"/"voip"/"video" call states with
    "active"
    | Discerning different types of carrier was deemed not necessary
  * Added "service" call state
    | Use this during system maintenance or in other non-call situations
    | where call state changes should be vetoed
  * Changed the return type of the call state method call;
    it now returns TRUE/FALSE to indicate whether or not the
    call state change was approved by the system
  * Improved documentation of call state
  * Removed set_alarm_mode, since it's no longer used and was only
    used for private communication between MCE/SystemUI/Alarmd

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 16 Jan 2009 09:01:32 +0200

mce-dev (1.8.5) unstable; urgency=low

  * Added inverted portrait/landscape orientations

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 15 Dec 2008 19:30:24 +0200

mce-dev (1.8.4) unstable; urgency=low

  * Removed MCE_DEVLOCK_VALIDATE_CODE_REQ and MCE_DEVLOCK_CHANGE_CODE_REQ
    | Use libdevlock instead

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 17 Nov 2008 15:22:22 +0200

mce-dev (1.8.3) unstable; urgency=low

  * Fix some more types

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 06 Aug 2008 13:04:32 +0300

mce-dev (1.8.2) unstable; urgency=low

  * There's no such thing as dbus_string_t; replace it with gchar *
  * Divide the doxygen information into different sections

 -- David Weinehall <david.weinehall@nokia.com>  Sun, 25 May 2008 15:23:53 +0300

mce-dev (1.8.1) unstable; urgency=low

  * Added accelerometer and call state related D-Bus defines
  * Removed VoIP-mode

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 22 May 2008 12:43:35 +0300

mce-dev (1.8.0) unstable; urgency=low

  * Added vibrator related D-Bus defines
  * Removed D-Bus methods that were proxied to DSME

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 10 May 2008 00:48:01 +0300

mce-dev (1.7.0) unstable; urgency=low

  * Make the include protection names unique to MCE
  * Bumped the version# in the Doxyfile to 1.7.x
  * Bumped Standards-Version to 3.7.3
    | No changes required

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 20 Feb 2008 16:28:27 +0200

## mce-dev 1.8.17+0m5

=== debian/changelog ===
mce-dev (1.8.17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Fri, 12 Feb 2010 15:18:55 +0200

mce-dev (1.8.17) unstable; urgency=low

  * Fixes: NB#151641 - Volume settings can't be changed via Volume key, Media player is playing, Tklock is On

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Fri, 12 Feb 2010 12:37:07 +0300

mce-dev (1.8.16) unstable; urgency=low

  * Re-add CABC interface
  * Remove deprecated call state defines

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 23 Sep 2009 16:41:25 +0300

mce-dev (1.8.13) unstable; urgency=low

  * Backport CABC interface from trunk

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 02 Sep 2009 21:14:56 +0300

## mce-dev 1.8.19+0m5

=== debian/changelog ===
mce-dev (1.8.19+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.8.19+0m5

 -- Jari Koivikko <ext-jari.koivikko@nokia.com>  Thu, 27 May 2010 13:11:22 +0300

mce-dev (1.8.19) unstable; urgency=low

  * Fixes: NB#167383 - Not implemented org.freedesktop.Hal.Device.KeyboardBacklight interface 

 -- Irina Bezruk <ext-irina.bezruk@nokia.com>  Tue, 25 May 2010 10:33:43 +0400

mce-dev (1.8.18) unstable; urgency=low

  * Fixes: NB#167395 - API needed for vibrate channel.
  * Provided by Victor Portnov <ext-victor.portnov@nokia.com>

 -- Irina Bezruk <ext-irina.bezruk@nokia.com>  Mon, 24 May 2010 11:51:54 +0400

=== debian/control ===
Source: mce-dev
Section: devel
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.7.3

Package: mce-dev
Suggests: mce-doc
Architecture: all
Description: development files for mce
 This package contains headers defining the D-Bus method calls
 provided by the Mode Control Entity, and the signals emitted by it.

Package: mce-doc
Section: doc
Depends: lynx | www-browser
Architecture: all
Description: Documentation files for mce D-Bus API
 This package contains documentation describing the D-Bus method calls
 provided by the Mode Control Entity, and the signals emitted by it.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules for mce-dev using debhelper.
-# Copyright © 2004-2007 Nokia.
+# Copyright © 2004-2009 Nokia Corporation.  All rights reserved.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -8,18 +8,16 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-package = mce-dev
 pkgdir = $(CURDIR)/debian/tmp
 
-pcfileversion=$$(grep -m1 '^Version' mce.pc | sed -e 's/Version: *//')
-changelogversion := $$(grep -m1 'mce-dev (' debian/changelog | sed -e 's/mce-dev (//;s/.*:\(.*\))/\1/;s/[)-+].*//')
+pcfileversion := $$(grep -m1 '^Version' mce.pc | sed -e 's/Version: *//')
+changelogversion := $$(grep -m1 'mce-dev (' debian/changelog | sed -e 's/mce-dev (\(.*\)).*/\1/;s/\(^'$(pcfileversion)'\).*/\1/')
 
 .PHONY: clean
 clean:
 	dh_testdir
 	dh_testroot
 
-	# Add here commands to clean up after the build process.
 	$(MAKE) distclean
 
 	dh_clean
@@ -29,11 +27,15 @@
 	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
 		printf "error: version-number mismatch\n"; \
 		printf "changelog version: $(changelogversion)\n"; \
+		printf ".pc-file version: $(pcfileversion)\n"; \
 		exit 1; \
 	fi
 
 .PHONY: build
 build: check
+	dh_testdir
+
+	$(MAKE) doc
 
 .PHONY: install
 install:

## mce-dev 1.15.0+15.10.20150929

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 # This file is part of mce-dev
 #
-# Copyright © 2005-2007 Nokia Corporation.
+# Copyright © 2005-2009 Nokia Corporation.
 #
 # Author: David Weinehall <david.weinehall@nokia.com>
+# Modified by: Ilya Dogolazky, Tuomo Tanskanen
 
 INSTALL_DIR := install -d
-INSTALL_DATA := install -o root -g root --mode=644
+INSTALL_DATA := install --mode=644
 
 DOXYGEN := doxygen
 
@@ -20,12 +21,15 @@
 INCLUDE_FILES := $(INCDIR)/dbus-names.h $(INCDIR)/mode-names.h
 
 .PHONY: doc
-doc:
+doc:	doc/warnings
+
+doc/warnings: $(INCLUDE_FILES) Doxyfile
+	@if [ ! -d "$(DOCDIR)" ]; then mkdir "$(DOCDIR)"; fi
 	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null
 
 clean:
 	@if [ x"$(DOCDIR)" != x"" ]; then	\
-		rm -rf $(DOCDIR)/*;		\
+		rm -rf "$(DOCDIR)";		\
 	fi
 
 .PHONY: install
